if ARCH_MXS

source "arch/arm/mach-mxs/devices/Kconfig"

config MXS_OCOTP
	bool

config SOC_IMX23
	bool
	select CPU_ARM926T
	select HAVE_PWM

config SOC_IMX28
	bool
	select CPU_ARM926T
	select HAVE_PWM

comment "MXS platforms:"

config MACH_STMP378X_DEVB
	bool "Support STMP378x_devb Platform"
	select SOC_IMX23
	select MXS_HAVE_AMBA_DUART
	select MXS_HAVE_PLATFORM_AUART
	select MXS_HAVE_PLATFORM_MXS_MMC
	select MXS_HAVE_PLATFORM_RTC_STMP3XXX
	help
	  Include support for STMP378x-devb platform. This includes specific
	  configurations for the board and its peripherals.

config MACH_MX23EVK
	bool "Support MX23EVK Platform"
	select SOC_IMX23
	select MXS_HAVE_AMBA_DUART
	select MXS_HAVE_PLATFORM_AUART
	select MXS_HAVE_PLATFORM_MXS_MMC
	select MXS_HAVE_PLATFORM_MXSFB
	select MXS_HAVE_PLATFORM_RTC_STMP3XXX
	help
	  Include support for MX23EVK platform. This includes specific
	  configurations for the board and its peripherals.

config MACH_MX28EVK
	bool "Support MX28EVK Platform"
	select SOC_IMX28
	select LEDS_GPIO_REGISTER
	select MXS_HAVE_AMBA_DUART
	select MXS_HAVE_PLATFORM_AUART
	select MXS_HAVE_PLATFORM_FEC
	select MXS_HAVE_PLATFORM_FLEXCAN
	select MXS_HAVE_PLATFORM_MXS_MMC
	select MXS_HAVE_PLATFORM_MXSFB
	select MXS_HAVE_PLATFORM_MXS_SAIF
	select MXS_HAVE_PLATFORM_MXS_I2C
	select MXS_HAVE_PLATFORM_RTC_STMP3XXX
	select MXS_OCOTP
	help
	  Include support for MX28EVK platform. This includes specific
	  configurations for the board and its peripherals.

config MODULE_TX28
	bool
	select SOC_IMX28
	select LEDS_GPIO_REGISTER
	select MXS_HAVE_AMBA_DUART
	select MXS_HAVE_PLATFORM_AUART
	select MXS_HAVE_PLATFORM_FEC
	select MXS_HAVE_PLATFORM_MXS_I2C
	select MXS_HAVE_PLATFORM_MXS_MMC
	select MXS_HAVE_PLATFORM_MXS_PWM
	select MXS_HAVE_PLATFORM_RTC_STMP3XXX

config MACH_TX28
	bool "Ka-Ro TX28 module"
	select MODULE_TX28

endif
